<!DOCTYPE html>
<html>

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
    <title>Leaflet opciones de la clase L.map</title>
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.0.1/dist/leaflet.css" />
    <style>
        body {
            padding: 0;
            margin: 0;
        }

        html,
        body,
        #map {
            height: 100%;
        }
    </style>
</head>

<body>
    <script src="https://unpkg.com/leaflet@1.0.1/dist/leaflet.js"></script>
    <div id="map"> </div>
    <script>
        var map = L.map('map');

        L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png').addTo(map);

        function buscarLocalizacion(e) {
            var mydate = new Date(e.timestamp);
            L.marker(e.latlng).addTo(map).bindPopup(e.timestamp.toString());
            console.log(typeof e.latlng);
        }

        function errorLocalizacion(e) {
            alert("No es posible encontrar su ubicación. Es posible que tenga que activar la Geolocation.");
        }

        map.on('locationerror', errorLocalizacion);
        map.on('locationfound', buscarLocalizacion);
        map.locate({setView: true, maxZoom:12});


    </script>
</body>

</html>
